This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 991398 - namespace creation using oo-admin-ctl-domain requires ssh key input
namespace creation using oo-admin-ctl-domain requires ssh key input
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 06:51 EDT by Nan Wei
Modified: 2015-05-14 20:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:49:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nan Wei 2013-08-02 06:51:36 EDT
Description of problem:
When creating a namespace by using "oo-admin-ctl-domain" in the broker, it returns “Please provide login, ssh key and namespace to create the user“. Seem like oo-admin-ctl-domain still require user input ssh key. For now, ssh keys and domain are managed separately by rhc client, ssh key is not a must for creating namespace, so oo-admin-ctl-domain should also be updated to do that.
Even when this user already has an existing ssh key, just want to create a namespace, still report the same prompt.

Version-Release number of selected component (if applicable):
devenv-stage_435
devenv_3605

How reproducible:
always

Steps to Reproduce:
1. Ensure a user does not have a namespace.
2.Create a domain in the broker using oo-admin-ctl-domain.
#oo-admin-ctl-domain -c create -l nwei -n domainname

Actual results:
The output of oo-admin-ctl-domain is the following:
Please provide login, ssh key and namespace to create the user

Expected results:
When creating a namespace using oo-admin-ctl-domain, it should not require input ssh key.

Additional info:
Comment 1 Abhishek Gupta 2013-08-19 13:16:41 EDT
We need to make the ssh key optional. Add it to the user, if it is provided but not treat as a validation failure if it isn't provided.
Comment 2 Abhishek Gupta 2013-08-19 18:43:57 EDT
Fixed with --> https://github.com/openshift/origin-server/pull/3417
Comment 5 Jianwei Hou 2013-08-20 01:29:32 EDT
Verified on devenv_3576, the sshkey is not mandatory now.

[root@ip-10-178-7-176 ~]# oo-admin-ctl-domain -c create -l test -n test
Successfully created user.
Successfully created domain.

[root@ip-10-178-7-176 ~]# oo-admin-ctl-domain -l test

RHLogin: test
Namespace: test
SSH keys:
Applications:

Note You need to log in before you can comment on or make changes to this bug.